Bug 1161618 - influxdb: please update to 0.8.5
Summary: influxdb: please update to 0.8.5
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-influxdb-influxdb
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1162091 1162103 1162106 1186345 1186346
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 13:48 UTC by Ruben Kerkhof
Modified: 2015-09-03 10:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-03 10:03:56 UTC


Attachments (Terms of Use)

Description Ruben Kerkhof 2014-11-07 13:48:29 UTC
Thanks for packaging influxdb!

Would it be possible to upgrade the package to 0.8.5? It contains some fixes regarding sharding I bumped in to, and also the new collectd plugin would be nice to have.

Kind regards,

Ruben

Comment 1 Jan Chaloupka 2014-11-10 08:26:53 UTC
Hello Ruben,

0.8.5 has new dependencies:

github.com/rakyll/statik
github.com/dgnorton/goback
github.com/kimor79/gollectd

This is OK.

But there are still deps, that cannot be packaged in Fedora:
github.com/influxdb/hyperleveldb-go
github.com/influxdb/rocksdb

as their corresponding databases are not packaged. I don't know how big problem this is. However, these are "just" additional databases, that can be used, this should not bother.

Just curious :) For what application do you use influxdb?

Jan

Comment 2 Ruben Kerkhof 2014-11-10 11:20:10 UTC
Hi Jan,

Rocksdb is the default database used by upstream, since it has the best performance:
http://influxdb.com/blog/2014/06/20/leveldb_vs_rocksdb_vs_hyperleveldb_vs_lmdb_performance.html. Any reason why rocksdb can't be packaged for Fedora?

We're now using the rpms provided by upstream, but there are a few things wrong with those. I'd really like to use native packages on Fedora :)

I'm using Influxdb as a backend for all our collectd agents.

Kind regards,

Ruben

Comment 3 Jan Chaloupka 2014-11-14 08:39:32 UTC
Hello Ruben,

there is no particular reason so far why not to have it packaged in Fedora. Noone requested it, noone created a review.

Well, you can report a bug if you need it in Fedora under golang-github-influxdb-influxdb component. This is still an experimental version, mainly for cadvisor package to work (it uses only client subpackage). But I have no problem to fill all missing deps.

Jan

Comment 4 Ruben Kerkhof 2014-11-14 12:44:59 UTC
Ok, got it, thanks!

Comment 5 Fedora Update System 2015-01-06 10:45:22 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc20

Comment 6 Fedora Update System 2015-01-06 10:45:54 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc21

Comment 7 Fedora Update System 2015-01-06 10:46:21 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.el6

Comment 8 Jan Chaloupka 2015-01-06 10:48:30 UTC
Updated to 0.8.5 tarball, but there are still missing dependencies:

github.com/influxdb/rocksdb
github.com/influxdb/hyperleveldb-go

Comment 9 Fedora Update System 2015-01-17 05:35:46 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-17 05:51:02 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-24 18:43:45 UTC
golang-github-influxdb-influxdb-0.8.5-0.1.git9485e99.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Lokesh Mandvekar 2015-01-27 03:22:09 UTC
(In reply to Jan Chaloupka from comment #8)
> Updated to 0.8.5 tarball, but there are still missing dependencies:
> 
> github.com/influxdb/rocksdb
> github.com/influxdb/hyperleveldb-go

Jan, have these been packaged up? Feel free to assign them to if need be.

Comment 14 Jaroslav Reznik 2015-03-03 17:16:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 15 Fedora Admin XMLRPC Client 2015-07-29 13:39:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora Update System 2015-08-17 12:21:58 UTC
golang-github-influxdb-influxdb-0.8.5-0.3.git9485e99.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/golang-github-influxdb-influxdb-0.8.5-0.3.git9485e99.fc23

Comment 17 Fedora Update System 2015-08-19 08:09:35 UTC
Package golang-github-influxdb-influxdb-0.8.5-0.3.git9485e99.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-github-influxdb-influxdb-0.8.5-0.3.git9485e99.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13693/golang-github-influxdb-influxdb-0.8.5-0.3.git9485e99.fc23
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-08-24 21:57:30 UTC
golang-github-influxdb-influxdb-0.8.5-0.4.git9485e99.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-influxdb-influxdb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14090

Comment 19 Fedora Update System 2015-09-03 10:03:52 UTC
golang-github-influxdb-influxdb-0.8.5-0.4.git9485e99.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.